
User Interface - Feature #1524

Feature # 1522 (Closed): Jetty Upgrade

merge existing patches if necessary

09/10/2012 12:34 PM - Greg Shah

Status: Closed Start date: 10/24/2013

Priority: Normal Due date: 10/25/2013

Assignee: Marius Gligor % Done: 100%

Category:  Estimated time: 8.00 hours

Target version: GUI Support for a Complex ADM2 App   

billable: No vendor_id: GCD

Description

Related issues:

Blocks User Interface - Feature #1525: submit patches upstream (if the patche... Closed 10/31/2013 11/08/2013

History

#1 - 09/24/2012 01:01 PM - Greg Shah

- Assignee set to Stanislav Lomany

Review and merge our patches as needed.  If there is a way to implement Jetty in our server without our patches, please switch to that.  Otherwise,

update our patches to work with the target Jetty version.

Then review the process for submitting our patches to the upstream Jetty project itself.  Inform me of the process.  I am pretty sure that Eric or myself

will have to submit some contract or paperwork before we can send our patches.  We will also probably have to meet their coding standards and

possibly change our patch to fit their conventions.

#2 - 10/31/2012 02:59 PM - Greg Shah

- Target version set to Milestone 12

#3 - 10/20/2013 12:59 PM - Greg Shah

- Start date changed from 09/10/2012 to 10/24/2013

- Estimated time set to 8.00

- Due date set to 10/25/2013

- Assignee changed from Stanislav Lomany to Marius Gligor

As noted in #1523, we will use Jetty 9.1 as the target version.

The previous patch can be found in p2j at lib/jetty_6.1.14_SslSocketConnector.java.20090111_patch.  It was used to patch Jetty 6.1.14, which is the

version integrated into P2J at this time.

#4 - 10/29/2013 02:00 PM - Marius Gligor

- Status changed from New to WIP

#5 - 10/29/2013 02:01 PM - Marius Gligor

- Status changed from WIP to Review
#6 - 10/29/2013 02:38 PM - Marius Gligor

- % Done changed from 0 to 100

#7 - 10/30/2013 03:37 AM - Marius Gligor

- File jetty-9.1-howtobuild.txt added

Building jetty 9.1

1. Install git and maven.

2. Checkout the jetty project from github branch release-9.1

3. Build jetty project. The first build take a long time (25 minutes)

as Maven downloads all the dependencies and because.

For more details see the README.TXT file located in the root of the project ($JETTY_HOME).

4. After the build is completed with success the result is a lot of

jar files (sources, javadoc and binaries) for each module that can be used with jetty.

However in the folder $JETTY_HOME/aggregates/jetty-all is a pom.xml file that can be used

to build the jetty-all artifact, a single jar file jetty-all-9.1.0-SNAPSHOT.jar

For more details please read the attached file.

#8 - 10/30/2013 03:46 AM - Marius Gligor

The SslSocketConnector.java file is no longer part of the project.

I searched the project for snippets of code like on the old SslSocketConnector class but I didn't find any relevant text.

A new class ServerConnector is used on jetty 9.1 instead SslSocketConnector.

In conclusion the patch file jetty_6.1.14_SslSocketConnector.java.20090111_patch cannot be applied on jetty 9.1 project.

#9 - 10/30/2013 10:17 AM - Greg Shah

If I recall correctly, the patch was to provide accessors so that we could set some of the SSL configuration via program.  Without those changes it

would have required a configuration file to be maintained for every installation and we wanted to just reuse configuration that we already had in the

directory.

It is important that we can do the equivalent thing in the new version.

#10 - 11/01/2013 09:11 AM - Greg Shah

- Status changed from Review to Closed

HTTPS testing shows that we no longer need the patches after the upgrade.

#11 - 11/16/2016 12:13 PM - Greg Shah
- Target version changed from Milestone 12 to GUI Support for a Complex ADM2 App

Files

jetty-9.1-howtobuild.txt 7.74 KB 10/30/2013 Marius Gligor
